diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index a782f10998..129e44702a 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -2648,7 +2648,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-max-parallel-workers-per-gather" xreflabel="max_parallel_workers_per_gather">
-       <term><varname>max_parallel_workers_per_gather</varname> (<type>integer</type>)
+       <term><varname>max_parallel_workers_per_gather</varname> (<type>integer</type>) - default is 2
        <indexterm>
         <primary><varname>max_parallel_workers_per_gather</varname> configuration parameter</primary>
        </indexterm>
@@ -2690,7 +2690,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-max-parallel-maintenance-workers" xreflabel="max_parallel_maintenance_workers">
-       <term><varname>max_parallel_maintenance_workers</varname> (<type>integer</type>)
+       <term><varname>max_parallel_maintenance_workers</varname> (<type>integer</type>) - default is 2
        <indexterm>
         <primary><varname>max_parallel_maintenance_workers</varname> configuration parameter</primary>
        </indexterm>
@@ -2728,7 +2728,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-max-parallel-workers" xreflabel="max_parallel_workers">
-       <term><varname>max_parallel_workers</varname> (<type>integer</type>)
+       <term><varname>max_parallel_workers</varname> (<type>integer</type>) - default is 8
        <indexterm>
         <primary><varname>max_parallel_workers</varname> configuration parameter</primary>
        </indexterm>
@@ -2750,7 +2750,7 @@ include_dir 'conf.d'
 
       <varlistentry id="guc-parallel-leader-participation" xreflabel="parallel_leader_participation">
        <term>
-       <varname>parallel_leader_participation</varname> (<type>boolean</type>)
+       <varname>parallel_leader_participation</varname> (<type>boolean</type>) - default is on
        <indexterm>
         <primary><varname>parallel_leader_participation</varname> configuration parameter</primary>
        </indexterm>
@@ -2787,7 +2787,7 @@ include_dir 'conf.d'
      <variablelist>
 
      <varlistentry id="guc-wal-level" xreflabel="wal_level">
-      <term><varname>wal_level</varname> (<type>enum</type>)
+      <term><varname>wal_level</varname> (<type>enum</type>) - default is replica
       <indexterm>
        <primary><varname>wal_level</varname> configuration parameter</primary>
       </indexterm>
@@ -2910,7 +2910,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-synchronous-commit" xreflabel="synchronous_commit">
-      <term><varname>synchronous_commit</varname> (<type>enum</type>)
+      <term><varname>synchronous_commit</varname> (<type>enum</type>) - default is on
       <indexterm>
        <primary><varname>synchronous_commit</varname> configuration parameter</primary>
       </indexterm>
@@ -3065,7 +3065,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-sync-method" xreflabel="wal_sync_method">
-      <term><varname>wal_sync_method</varname> (<type>enum</type>)
+      <term><varname>wal_sync_method</varname> (<type>enum</type>) - default is the first method supported by the platform
       <indexterm>
        <primary><varname>wal_sync_method</varname> configuration parameter</primary>
       </indexterm>
@@ -3120,7 +3120,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-full-page-writes" xreflabel="full_page_writes">
-      <term><varname>full_page_writes</varname> (<type>boolean</type>)
+      <term><varname>full_page_writes</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>full_page_writes</varname> configuration parameter</primary>
       </indexterm>
@@ -3167,7 +3167,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-log-hints" xreflabel="wal_log_hints">
-      <term><varname>wal_log_hints</varname> (<type>boolean</type>)
+      <term><varname>wal_log_hints</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>wal_log_hints</varname> configuration parameter</primary>
       </indexterm>
@@ -3194,7 +3194,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-compression" xreflabel="wal_compression">
-      <term><varname>wal_compression</varname> (<type>enum</type>)
+      <term><varname>wal_compression</varname> (<type>enum</type>) - default is off
       <indexterm>
        <primary><varname>wal_compression</varname> configuration parameter</primary>
       </indexterm>
@@ -3227,7 +3227,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-init-zero" xreflabel="wal_init_zero">
-      <term><varname>wal_init_zero</varname> (<type>boolean</type>)
+      <term><varname>wal_init_zero</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>wal_init_zero</varname> configuration parameter</primary>
       </indexterm>
@@ -3246,7 +3246,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-recycle" xreflabel="wal_recycle">
-      <term><varname>wal_recycle</varname> (<type>boolean</type>)
+      <term><varname>wal_recycle</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>wal_recycle</varname> configuration parameter</primary>
       </indexterm>
@@ -3262,7 +3262,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-buffers" xreflabel="wal_buffers">
-      <term><varname>wal_buffers</varname> (<type>integer</type>)
+      <term><varname>wal_buffers</varname> (<type>integer</type>) - default is -1
       <indexterm>
        <primary><varname>wal_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -3296,7 +3296,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-writer-delay" xreflabel="wal_writer_delay">
-      <term><varname>wal_writer_delay</varname> (<type>integer</type>)
+      <term><varname>wal_writer_delay</varname> (<type>integer</type>) - default is 200ms
       <indexterm>
        <primary><varname>wal_writer_delay</varname> configuration parameter</primary>
       </indexterm>
@@ -3323,7 +3323,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-writer-flush-after" xreflabel="wal_writer_flush_after">
-      <term><varname>wal_writer_flush_after</varname> (<type>integer</type>)
+      <term><varname>wal_writer_flush_after</varname> (<type>integer</type>) - default is 1MB
       <indexterm>
        <primary><varname>wal_writer_flush_after</varname> configuration parameter</primary>
       </indexterm>
@@ -3347,7 +3347,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-skip-threshold" xreflabel="wal_skip_threshold">
-      <term><varname>wal_skip_threshold</varname> (<type>integer</type>)
+      <term><varname>wal_skip_threshold</varname> (<type>integer</type>) - default is 2MB
       <indexterm>
        <primary><varname>wal_skip_threshold</varname> configuration parameter</primary>
       </indexterm>
@@ -3368,7 +3368,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-commit-delay" xreflabel="commit_delay">
-      <term><varname>commit_delay</varname> (<type>integer</type>)
+      <term><varname>commit_delay</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>commit_delay</varname> configuration parameter</primary>
       </indexterm>
@@ -3406,7 +3406,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-commit-siblings" xreflabel="commit_siblings">
-      <term><varname>commit_siblings</varname> (<type>integer</type>)
+      <term><varname>commit_siblings</varname> (<type>integer</type>) - default is 5 transactions
       <indexterm>
        <primary><varname>commit_siblings</varname> configuration parameter</primary>
       </indexterm>
@@ -3429,7 +3429,7 @@ include_dir 'conf.d'
 
     <variablelist>
      <varlistentry id="guc-checkpoint-timeout" xreflabel="checkpoint_timeout">
-      <term><varname>checkpoint_timeout</varname> (<type>integer</type>)
+      <term><varname>checkpoint_timeout</varname> (<type>integer</type>) - default is 5 minutes
       <indexterm>
        <primary><varname>checkpoint_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -3449,7 +3449,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-checkpoint-completion-target" xreflabel="checkpoint_completion_target">
-      <term><varname>checkpoint_completion_target</varname> (<type>floating point</type>)
+      <term><varname>checkpoint_completion_target</varname> (<type>floating point</type>) - default is 0.9
       <indexterm>
        <primary><varname>checkpoint_completion_target</varname> configuration parameter</primary>
       </indexterm>
@@ -3471,7 +3471,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-checkpoint-flush-after" xreflabel="checkpoint_flush_after">
-      <term><varname>checkpoint_flush_after</varname> (<type>integer</type>)
+      <term><varname>checkpoint_flush_after</varname> (<type>integer</type>) - default is 256kb
       <indexterm>
        <primary><varname>checkpoint_flush_after</varname> configuration parameter</primary>
       </indexterm>
@@ -3503,7 +3503,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-checkpoint-warning" xreflabel="checkpoint_warning">
-      <term><varname>checkpoint_warning</varname> (<type>integer</type>)
+      <term><varname>checkpoint_warning</varname> (<type>integer</type>) - default is 30 seconds
       <indexterm>
        <primary><varname>checkpoint_warning</varname> configuration parameter</primary>
       </indexterm>
@@ -3526,7 +3526,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-max-wal-size" xreflabel="max_wal_size">
-      <term><varname>max_wal_size</varname> (<type>integer</type>)
+      <term><varname>max_wal_size</varname> (<type>integer</type>) - default is 1GB
       <indexterm>
        <primary><varname>max_wal_size</varname> configuration parameter</primary>
       </indexterm>
@@ -3549,7 +3549,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-min-wal-size" xreflabel="min_wal_size">
-      <term><varname>min_wal_size</varname> (<type>integer</type>)
+      <term><varname>min_wal_size</varname> (<type>integer</type>) - default is 80MB
       <indexterm>
        <primary><varname>min_wal_size</varname> configuration parameter</primary>
       </indexterm>
@@ -3610,7 +3610,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-archive-command" xreflabel="archive_command">
-      <term><varname>archive_command</varname> (<type>string</type>)
+      <term><varname>archive_command</varname> (<type>string</type>) - default is an empty string
       <indexterm>
        <primary><varname>archive_command</varname> configuration parameter</primary>
       </indexterm>
@@ -3650,7 +3650,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-archive-library" xreflabel="archive_library">
-      <term><varname>archive_library</varname> (<type>string</type>)
+      <term><varname>archive_library</varname> (<type>string</type>) - default is an empty string
       <indexterm>
        <primary><varname>archive_library</varname> configuration parameter</primary>
       </indexterm>
@@ -3730,7 +3730,7 @@ include_dir 'conf.d'
 
     <variablelist>
      <varlistentry id="guc-recovery-prefetch" xreflabel="recovery_prefetch">
-      <term><varname>recovery_prefetch</varname> (<type>enum</type>)
+      <term><varname>recovery_prefetch</varname> (<type>enum</type>) - default is try
       <indexterm>
        <primary><varname>recovery_prefetch</varname> configuration parameter</primary>
       </indexterm>
@@ -3756,7 +3756,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-decode-buffer-size" xreflabel="wal_decode_buffer_size">
-      <term><varname>wal_decode_buffer_size</varname> (<type>integer</type>)
+      <term><varname>wal_decode_buffer_size</varname> (<type>integer</type>) - default is 512kb
       <indexterm>
        <primary><varname>wal_decode_buffer_size</varname> configuration parameter</primary>
       </indexterm>
@@ -4072,7 +4072,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
      <variablelist>
      <varlistentry id="guc-recovery-target-inclusive"
                    xreflabel="recovery_target_inclusive">
-      <term><varname>recovery_target_inclusive</varname> (<type>boolean</type>)
+      <term><varname>recovery_target_inclusive</varname> (<type>boolean</type>) - default is on
       <indexterm>
         <primary><varname>recovery_target_inclusive</varname> configuration parameter</primary>
       </indexterm>
@@ -4094,7 +4094,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
 
      <varlistentry id="guc-recovery-target-timeline"
                    xreflabel="recovery_target_timeline">
-      <term><varname>recovery_target_timeline</varname> (<type>string</type>)
+      <term><varname>recovery_target_timeline</varname> (<type>string</type>) - default is latest
       <indexterm>
         <primary><varname>recovery_target_timeline</varname> configuration parameter</primary>
       </indexterm>
@@ -4129,7 +4129,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
 
      <varlistentry id="guc-recovery-target-action"
                    xreflabel="recovery_target_action">
-      <term><varname>recovery_target_action</varname> (<type>enum</type>)
+      <term><varname>recovery_target_action</varname> (<type>enum</type>) - default is pause
       <indexterm>
         <primary><varname>recovery_target_action</varname> configuration parameter</primary>
       </indexterm>
@@ -4198,7 +4198,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
 
     <variablelist>
      <varlistentry id="guc-summarize-wal" xreflabel="summarize_wal">
-      <term><varname>summarize_wal</varname> (<type>boolean</type>)
+      <term><varname>summarize_wal</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>summarize_wal</varname> configuration parameter</primary>
       </indexterm>
@@ -4222,7 +4222,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
      </varlistentry>
 
      <varlistentry id="guc-wal-summary-keep-time" xreflabel="wal_summary_keep_time">
-      <term><varname>wal_summary_keep_time</varname> (<type>integer</type>)
+      <term><varname>wal_summary_keep_time</varname> (<type>integer</type>) - default is 10 days
       <indexterm>
        <primary><varname>wal_summary_keep_time</varname> configuration parameter</primary>
       </indexterm>
@@ -4302,7 +4302,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
 
      <variablelist>
       <varlistentry id="guc-max-wal-senders" xreflabel="max_wal_senders">
-       <term><varname>max_wal_senders</varname> (<type>integer</type>)
+       <term><varname>max_wal_senders</varname> (<type>integer</type>) - default is 10
        <indexterm>
         <primary><varname>max_wal_senders</varname> configuration parameter</primary>
        </indexterm>
@@ -4332,7 +4332,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
       </varlistentry>
 
       <varlistentry id="guc-max-replication-slots" xreflabel="max_replication_slots">
-       <term><varname>max_replication_slots</varname> (<type>integer</type>)
+       <term><varname>max_replication_slots</varname> (<type>integer</type>) - default is 10
        <indexterm>
         <primary><varname>max_replication_slots</varname> configuration parameter</primary>
         <secondary>in a sending server</secondary>
@@ -4361,7 +4361,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
       </varlistentry>
 
       <varlistentry id="guc-wal-keep-size" xreflabel="wal_keep_size">
-       <term><varname>wal_keep_size</varname> (<type>integer</type>)
+       <term><varname>wal_keep_size</varname> (<type>integer</type>) - default is 0
        <indexterm>
         <primary><varname>wal_keep_size</varname> configuration parameter</primary>
        </indexterm>
@@ -4398,7 +4398,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
       </varlistentry>
 
       <varlistentry id="guc-max-slot-wal-keep-size" xreflabel="max_slot_wal_keep_size">
-       <term><varname>max_slot_wal_keep_size</varname> (<type>integer</type>)
+       <term><varname>max_slot_wal_keep_size</varname> (<type>integer</type>) - default is -1
        <indexterm>
         <primary><varname>max_slot_wal_keep_size</varname> configuration parameter</primary>
        </indexterm>
@@ -4424,7 +4424,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
       </varlistentry>
 
      <varlistentry id="guc-wal-sender-timeout" xreflabel="wal_sender_timeout">
-      <term><varname>wal_sender_timeout</varname> (<type>integer</type>)
+      <term><varname>wal_sender_timeout</varname> (<type>integer</type>) - default is 60 seconds
       <indexterm>
        <primary><varname>wal_sender_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -4451,7 +4451,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
      </varlistentry>
 
      <varlistentry id="guc-track-commit-timestamp" xreflabel="track_commit_timestamp">
-      <term><varname>track_commit_timestamp</varname> (<type>boolean</type>)
+      <term><varname>track_commit_timestamp</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>track_commit_timestamp</varname> configuration parameter</primary>
       </indexterm>
@@ -4741,7 +4741,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        </varlistentry>
 
      <varlistentry id="guc-hot-standby" xreflabel="hot_standby">
-      <term><varname>hot_standby</varname> (<type>boolean</type>)
+      <term><varname>hot_standby</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>hot_standby</varname> configuration parameter</primary>
       </indexterm>
@@ -4758,7 +4758,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-max-standby-archive-delay" xreflabel="max_standby_archive_delay">
-      <term><varname>max_standby_archive_delay</varname> (<type>integer</type>)
+      <term><varname>max_standby_archive_delay</varname> (<type>integer</type>) - default is 30 seconds
       <indexterm>
        <primary><varname>max_standby_archive_delay</varname> configuration parameter</primary>
       </indexterm>
@@ -4790,7 +4790,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-max-standby-streaming-delay" xreflabel="max_standby_streaming_delay">
-      <term><varname>max_standby_streaming_delay</varname> (<type>integer</type>)
+      <term><varname>max_standby_streaming_delay</varname> (<type>integer</type>) - default is 30 seconds
       <indexterm>
        <primary><varname>max_standby_streaming_delay</varname> configuration parameter</primary>
       </indexterm>
@@ -4823,7 +4823,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-wal-receiver-create-temp-slot" xreflabel="wal_receiver_create_temp_slot">
-      <term><varname>wal_receiver_create_temp_slot</varname> (<type>boolean</type>)
+      <term><varname>wal_receiver_create_temp_slot</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>wal_receiver_create_temp_slot</varname> configuration parameter</primary>
       </indexterm>
@@ -4843,7 +4843,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-wal-receiver-status-interval" xreflabel="wal_receiver_status_interval">
-      <term><varname>wal_receiver_status_interval</varname> (<type>integer</type>)
+      <term><varname>wal_receiver_status_interval</varname> (<type>integer</type>) - default is 10 seconds
       <indexterm>
        <primary><varname>wal_receiver_status_interval</varname> configuration parameter</primary>
       </indexterm>
@@ -4875,7 +4875,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-hot-standby-feedback" xreflabel="hot_standby_feedback">
-      <term><varname>hot_standby_feedback</varname> (<type>boolean</type>)
+      <term><varname>hot_standby_feedback</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>hot_standby_feedback</varname> configuration parameter</primary>
       </indexterm>
@@ -4901,7 +4901,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-wal-receiver-timeout" xreflabel="wal_receiver_timeout">
-      <term><varname>wal_receiver_timeout</varname> (<type>integer</type>)
+      <term><varname>wal_receiver_timeout</varname> (<type>integer</type>) - default is 60 seconds
       <indexterm>
        <primary><varname>wal_receiver_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -4923,7 +4923,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-wal-retrieve-retry-interval" xreflabel="wal_retrieve_retry_interval">
-      <term><varname>wal_retrieve_retry_interval</varname> (<type>integer</type>)
+      <term><varname>wal_retrieve_retry_interval</varname> (<type>integer</type>) - default is 5 seconds
       <indexterm>
        <primary><varname>wal_retrieve_retry_interval</varname> configuration parameter</primary>
       </indexterm>
@@ -4960,7 +4960,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-recovery-min-apply-delay" xreflabel="recovery_min_apply_delay">
-      <term><varname>recovery_min_apply_delay</varname> (<type>integer</type>)
+      <term><varname>recovery_min_apply_delay</varname> (<type>integer</type>) - default is 0
       <indexterm>
         <primary><varname>recovery_min_apply_delay</varname> configuration parameter</primary>
       </indexterm>
@@ -5031,7 +5031,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-sync-replication-slots" xreflabel="sync_replication_slots">
-      <term><varname>sync_replication_slots</varname> (<type>boolean</type>)
+      <term><varname>sync_replication_slots</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>sync_replication_slots</varname> configuration parameter</primary>
       </indexterm>
@@ -5093,7 +5093,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-max-logical-replication-workers" xreflabel="max_logical_replication_workers">
-      <term><varname>max_logical_replication_workers</varname> (<type>integer</type>)
+      <term><varname>max_logical_replication_workers</varname> (<type>integer</type>) - default is 4
       <indexterm>
        <primary><varname>max_logical_replication_workers</varname> configuration parameter</primary>
       </indexterm>
@@ -5116,7 +5116,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-max-sync-workers-per-subscription" xreflabel="max_sync_workers_per_subscription">
-      <term><varname>max_sync_workers_per_subscription</varname> (<type>integer</type>)
+      <term><varname>max_sync_workers_per_subscription</varname> (<type>integer</type>) - default is 2
       <indexterm>
        <primary><varname>max_sync_workers_per_subscription</varname> configuration parameter</primary>
       </indexterm>
@@ -5143,7 +5143,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-max-parallel-apply-workers-per-subscription" xreflabel="max_parallel_apply_workers_per_subscription">
-      <term><varname>max_parallel_apply_workers_per_subscription</varname> (<type>integer</type>)
+      <term><varname>max_parallel_apply_workers_per_subscription</varname> (<type>integer</type>) - default is 2
       <indexterm>
        <primary><varname>max_parallel_apply_workers_per_subscription</varname> configuration parameter</primary>
       </indexterm>
@@ -5198,7 +5198,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
 
      <variablelist>
      <varlistentry id="guc-enable-async-append" xreflabel="enable_async_append">
-      <term><varname>enable_async_append</varname> (<type>boolean</type>)
+      <term><varname>enable_async_append</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_async_append</varname> configuration parameter</primary>
       </indexterm>
@@ -5212,7 +5212,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-bitmapscan" xreflabel="enable_bitmapscan">
-      <term><varname>enable_bitmapscan</varname> (<type>boolean</type>)
+      <term><varname>enable_bitmapscan</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary>bitmap scan</primary>
       </indexterm>
@@ -5243,7 +5243,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-gathermerge" xreflabel="enable_gathermerge">
-      <term><varname>enable_gathermerge</varname> (<type>boolean</type>)
+      <term><varname>enable_gathermerge</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_gathermerge</varname> configuration parameter</primary>
       </indexterm>
@@ -5257,7 +5257,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-groupby-reordering" xreflabel="enable_group_by_reordering">
-      <term><varname>enable_group_by_reordering</varname> (<type>boolean</type>)
+      <term><varname>enable_group_by_reordering</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_group_by_reordering</varname> configuration parameter</primary>
       </indexterm>
@@ -5276,7 +5276,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-hashagg" xreflabel="enable_hashagg">
-      <term><varname>enable_hashagg</varname> (<type>boolean</type>)
+      <term><varname>enable_hashagg</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_hashagg</varname> configuration parameter</primary>
       </indexterm>
@@ -5290,7 +5290,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-hashjoin" xreflabel="enable_hashjoin">
-      <term><varname>enable_hashjoin</varname> (<type>boolean</type>)
+      <term><varname>enable_hashjoin</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_hashjoin</varname> configuration parameter</primary>
       </indexterm>
@@ -5304,7 +5304,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-incremental-sort" xreflabel="enable_incremental_sort">
-      <term><varname>enable_incremental_sort</varname> (<type>boolean</type>)
+      <term><varname>enable_incremental_sort</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_incremental_sort</varname> configuration parameter</primary>
       </indexterm>
@@ -5318,7 +5318,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-indexscan" xreflabel="enable_indexscan">
-      <term><varname>enable_indexscan</varname> (<type>boolean</type>)
+      <term><varname>enable_indexscan</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary>index scan</primary>
       </indexterm>
@@ -5336,7 +5336,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-indexonlyscan" xreflabel="enable_indexonlyscan">
-      <term><varname>enable_indexonlyscan</varname> (<type>boolean</type>)
+      <term><varname>enable_indexonlyscan</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_indexonlyscan</varname> configuration parameter</primary>
       </indexterm>
@@ -5353,7 +5353,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-material" xreflabel="enable_material">
-      <term><varname>enable_material</varname> (<type>boolean</type>)
+      <term><varname>enable_material</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_material</varname> configuration parameter</primary>
       </indexterm>
@@ -5370,7 +5370,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-memoize" xreflabel="enable_memoize">
-      <term><varname>enable_memoize</varname> (<type>boolean</type>)
+      <term><varname>enable_memoize</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_memoize</varname> configuration parameter</primary>
       </indexterm>
@@ -5389,7 +5389,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-mergejoin" xreflabel="enable_mergejoin">
-      <term><varname>enable_mergejoin</varname> (<type>boolean</type>)
+      <term><varname>enable_mergejoin</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_mergejoin</varname> configuration parameter</primary>
       </indexterm>
@@ -5403,7 +5403,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-nestloop" xreflabel="enable_nestloop">
-      <term><varname>enable_nestloop</varname> (<type>boolean</type>)
+      <term><varname>enable_nestloop</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_nestloop</varname> configuration parameter</primary>
       </indexterm>
@@ -5420,7 +5420,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-parallel-append" xreflabel="enable_parallel_append">
-      <term><varname>enable_parallel_append</varname> (<type>boolean</type>)
+      <term><varname>enable_parallel_append</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_parallel_append</varname> configuration parameter</primary>
       </indexterm>
